{{/* Add taxonomy prefix to title for "term" pages, and to items for "taxonomy" pages */}}
{{ $prefix := "#" }}
{{ $kind := .Page.Kind }}
<div class="page-list">
    <h1 class="page-list-title">
        {{ cond (eq $kind "term") $prefix "" }}{{.Title}}
    </h1>
    <div class="page-list-description">
        {{ .Content }}
    </div>
    <ul class="page-list-content">
        {{/* Manually group by first letter */}}
        {{ $scratch := newScratch }}
        {{ range .Pages }}
            {{ $letter := lower (substr .Title 0 1) }}
            {{ if $scratch.Get $letter }}
                {{ $scratch.Add $letter . }}
            {{ else }}
                {{ $scratch.Set $letter (slice .)}}
            {{ end }}
        {{ end }}

        {{/* Go templates already sort maps by keys, which is great here */}}
        {{ range $letter, $pages := $scratch.Values }}
        <li class="page-list-content-block">
            <h3 class="page-list-content-block-left">
                {{ upper $letter }}
            </h3>
            <ul class="page-list-content-block-right">
                {{ $pfx := cond (eq $kind "taxonomy") $prefix "" }}
                {{ range $pages.ByTitle }}
                <li class="page-list-content-block-right-item">
                    <a class="page-list-content-item" href="{{ .RelPermalink }}">
                        <span class="page-list-content-item-left">{{ $pfx }}{{ .Title }}</span>
                        <span class="page-list-content-item-right">{{ cond .IsPage (time.Format "Jan 02" .Date.UTC | humanize) (lang.FormatNumber 0 (len .Pages)) }}</span>
                    </a>
                </li>
                {{ end }}
            </ul>
        </li>
        {{ end }}
    </ul>
</div>